【活用ガイド】

[English]

JVNDB-2020-000066

InfoCage SiteShell においてサービス実行ファイルが書き換え可能な脆弱性

概要

日本電気株式会社が提供する InfoCage SiteShell には、権限の設定に不備があります。その結果、SiteShell 本体のインストールフォルダに配置されたサービス実行ファイルを、すべてのユーザが書き換え可能な脆弱性が存在します。

この脆弱性情報は、製品利用者への周知を目的に、開発者が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 7.8 (重要) [IPA値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
CVSS v2 による深刻度
基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): 全面的
  • 完全性への影響(I): 全面的
  • 可用性への影響(A): 全面的
影響を受けるシステム


日本電気
  • InfoCage ホスト型SiteShell IIS版 V1.4
  • InfoCage ホスト型SiteShell IIS版 V1.5
  • InfoCage ホスト型SiteShell IIS版 V1.6
  • InfoCage ホスト型SiteShell IIS版 V2.0.0.6 より前のリビジョン
  • InfoCage ホスト型SiteShell IIS版 V2.1.0.7 より前のリビジョン
  • InfoCage ホスト型SiteShell IIS版 V2.1.1.6 より前のリビジョン
  • InfoCage ホスト型SiteShell IIS版 V3.0.0.11 より前のリビジョン
  • InfoCage ホスト型SiteShell IIS版 V4.0.0.6 より前のリビジョン
  • InfoCage ホスト型SiteShell IIS版 V4.1.0.5 より前のリビジョン
  • InfoCage ホスト型SiteShell IIS版 V4.2.0.1 より前のリビジョン
  • InfoCage ホスト型SiteShell Apache Windows版 V1.4
  • InfoCage ホスト型SiteShell Apache Windows版 V1.5
  • InfoCage ホスト型SiteShell Apache Windows版 V1.6
  • InfoCage ホスト型SiteShell Apache Windows版 V2.0.0.6 より前のリビジョン
  • InfoCage ホスト型SiteShell Apache Windows版 V2.1.0.7 より前のリビジョン
  • InfoCage ホスト型SiteShell Apache Windows版 V2.1.1.6 より前のリビジョン
  • InfoCage ホスト型SiteShell Apache Windows版 V3.0.0.11 より前のリビジョン
  • InfoCage ホスト型SiteShell Apache Windows版 V4.0.0.6 より前のリビジョン
  • InfoCage ホスト型SiteShell Apache Windows版 V4.1.0.5 より前のリビジョン
  • InfoCage ホスト型SiteShell Apache Windows版 V4.2.0.1 より前のリビジョン

想定される影響

当該製品をインストールしたサーバにログイン可能なユーザによって、インストールフォルダに配置されたサービス実行ファイルを細工されることで、権限を昇格した状態でサービスを実行される可能性があります。
対策

[パッチを適用する]
以下の本脆弱性の修正パッチが提供されています。開発者が提供する情報をもとに、最新のリビジョンへアップデートしてください。

・V2.0.0.6
・V2.1.0.7
・V2.1.1.6
・V3.0.0.11
・V4.0.0.6
・V4.1.0.5
・V4.2.0.1

なお開発者によると、V1.4、V1.5 および V1.6 は、すでに標準サポートを終了しており対策版はリリースされないため、V2.0 以上へのバージョンアップを推奨するとのことです。
ベンダ情報

日本電気
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2020-5632
参考情報

  1. JVN : JVN#07426151 
更新履歴

  • [2020年9月30日]
      掲載